//
//  PopulaPhotoCell.m
//  PopulaPhotoCellDemo
//
//  Created by Kersten Broich on 2/14/13.
//  Copyright (c) 2013 Kersten Broich. All rights reserved.
//

#import "PopulaPhotoCell.h"

#define kImageSize 35.0

@implementation PopulaPhotoCell

- (void)setPhotos:(NSArray *)photos
{
    int max = 6;
    float dynamicWidth = 0.0f;
    
    if ([photos count] < max) {
        max = [photos count];
    }
    
    if (max == 1) {
        UIImageView *userImage = [[UIImageView alloc] initWithFrame:CGRectMake(10.0, 5.0, kImageSize, kImageSize)];
        [userImage setImage:[UIImage imageNamed:[photos objectAtIndex:0]]];
        [self.contentView addSubview:userImage];
    } else {
        for (int i = 0; i < max; i++) {
            UIImageView *userImage = [[UIImageView alloc] initWithFrame:CGRectMake(dynamicWidth + 10.0, 5.0, kImageSize, kImageSize)];
            [userImage setImage:[UIImage imageNamed:[photos objectAtIndex:i]]];
            userImage.backgroundColor = [UIColor blackColor];
            [self.contentView addSubview:userImage];
            dynamicWidth += userImage.frame.size.width+7.5; // udpate the width for the next image
        }
    }
}

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
        self.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
    }
    return self;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
